"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlDatabase = void 0;
class SqlDatabase {
    constructor() {
        this.name = 'sqlDatabase';
        this.displayName = 'SQL Database';
        this.properties = [
            {
                displayName: 'User',
                name: 'user',
                type: 'string',
                required: true,
                default: '',
            },
            {
                displayName: 'Password',
                name: 'password',
                type: 'string',
                required: true,
                typeOptions: {
                    password: true
                },
                default: '',
            },
            {
                displayName: 'JDBC Connection URL',
                name: 'jdbcUrl',
                type: 'string',
                required: true,
                hint: 'Consult your database\'s JDBC driver documentation',
                default: '',
            },
            {
                displayName: 'Driver Class',
                name: 'driverClass',
                type: 'string',
                hint: 'Consult your database\'s JDBC driver documentation',
                default: '',
            },
            {
                displayName: 'Driver directory',
                name: 'driverDirectory',
                type: 'string',
                hint: 'Directory containing JDBC driver JAR files to add onto the JVM classpath',
                default: '',
            },
            {
                displayName: 'Maxiumum Concurrent Connections',
                name: 'maxConcurrentConnections',
                type: 'number',
                hint: 'Limit number of connections',
                default: 1,
            },
        ];
    }
}
exports.SqlDatabase = SqlDatabase;
//# sourceMappingURL=SqlDatabase.credentials.js.map